/*******************************************************************************
 * Copyright 2015 - 2023 fmCreation
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald diese von der
 * Europäischen Kommission genehmigt wurden - Folgeversionen der EUPL
 * ("Lizenz"); Sie dürfen dieses Werk ausschließlich gemäß dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 *   https://progs.frankmuenster.de/eupl_v1-2_de
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften gefordert oder in
 * schriftlicher Form vereinbart, wird die unter der Lizenz verbreitete Software
 * "so wie sie ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet. Die sprachspezifischen
 * Genehmigungen und Beschränkungen unter der Lizenz sind dem Lizenztext zu
 * entnehmen.
 ******************************************************************************/

package de.frankmuenster.jameica.qrcodehandler;

/**
 * QR-Code Handler Exception
 *
 * @author Frank Münster
 * @version 1.0
 */
public class QrCodeHandlerException extends Exception {

    /**
     * serialVersionUID for this class
     */
    private static final long serialVersionUID = -950900386857918051L;

    /**
     * Constructs a new QrCodeHandlerException
     *
     * @see java.lang.Exception#Exception()
     */
    public QrCodeHandlerException() {
        super();
    }

    /**
     * Constructs a new QrCodeHandlerException
     *
     * @param message
     *            the detail message. The detail message is saved for later
     *            retrieval by the Throwable.getMessage() method.
     * @see java.lang.Exception#Exception(String message)
     */
    public QrCodeHandlerException(final String message) {
        super(message);
    }

    /**
     * Constructs a new QrCodeHandlerException
     *
     * @param message
     *            the detail message. The detail message is saved for later
     *            retrieval by the Throwable.getMessage() method.
     * @param cause
     *            - the cause (which is saved for later retrieval by the
     *            Throwable.getCause() method). (A null value is permitted, and
     *            indicates that the cause is nonexistent or unknown.)
     * @see java.lang.Exception#Exception(String message, Throwable cause)
     */
    public QrCodeHandlerException(final String message, final Throwable cause) {
        super(message, cause);
    }

    /**
     * Constructs a new QrCodeHandlerException
     *
     * @param cause
     *            - the cause (which is saved for later retrieval by the
     *            Throwable.getCause() method). (A null value is permitted, and
     *            indicates that the cause is nonexistent or unknown.)
     * @see java.lang.Exception#Exception(Throwable cause)
     */
    public QrCodeHandlerException(final Throwable cause) {
        super(cause);
    }
}
