/*******************************************************************************
 * Copyright 2015 - 2018 fmCreation
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald diese von der
 * Europischen Kommission genehmigt wurden - Folgeversionen der EUPL
 * ("Lizenz"); Sie drfen dieses Werk ausschlielich gem dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 *   https://progs.frankmuenster.de/eupl_v1-2_de
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften gefordert oder in
 * schriftlicher Form vereinbart, wird die unter der Lizenz verbreitete Software
 * "so wie sie ist", OHNE JEGLICHE GEWHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrcklich oder stillschweigend - verbreitet. Die sprachspezifischen
 * Genehmigungen und Beschrnkungen unter der Lizenz sind dem Lizenztext zu
 * entnehmen.
 ******************************************************************************/
//
// Copyright 2016 frankmuenster.de
//
// Lizenziert unter der EUPL, Version 1.1 oder - sobald
// diese von der Europischen Kommission genehmigt wurden -
// Folgeversionen der EUPL ("Lizenz");
// Sie drfen dieses Werk ausschlielich gem
// dieser Lizenz nutzen.
// Eine Kopie der Lizenz finden Sie hier:
//
//   http://ec.europa.eu/idabc/eupl
//
// Sofern nicht durch anwendbare Rechtsvorschriften
// gefordert oder in schriftlicher Form vereinbart, wird
// die unter der Lizenz verbreitete Software "so wie sie
// ist", OHNE JEGLICHE GEWHRLEISTUNG ODER BEDINGUNGEN -
// ausdrcklich oder stillschweigend - verbreitet.
// Die sprachspezifischen Genehmigungen und Beschrnkungen
// unter der Lizenz sind dem Lizenztext zu entnehmen.
//
package de.frankmuenster.jameica.qrscanner.utils;

import java.rmi.RemoteException;

import org.apache.commons.lang.StringUtils;

import de.willuhn.datasource.rmi.DBIterator;
import de.willuhn.jameica.hbci.Settings;
import de.willuhn.jameica.hbci.rmi.HBCIDBService;
import de.willuhn.jameica.hbci.rmi.Konto;
import de.willuhn.logging.Logger;

/**
 * @author Frank Mnster
 */
public final class Utils {

    /**
     * Standardkonstruktor
     */
    private Utils() {
        // Absichtlich leer
    }

    /**
     * Liefert ein Konto zu den angegeben ID.
     *
     * @param ktoId
     *            die Konto-ID.
     * @return das Konto oder NULL.
     */
    public static Konto getKonto(final String ktoId) {
        Konto konto = null;
        if (StringUtils.isNotEmpty(ktoId)) {
            HBCIDBService hcbiService;
            try {
                hcbiService = Settings.getDBService();
                final DBIterator<Konto> accounts = hcbiService.createList(Konto.class);
                final StringBuilder filter = new StringBuilder("id='"); //$NON-NLS-1$
                filter.append(ktoId).append('\'');
                accounts.addFilter(filter.toString());
                if (accounts.size() == 1) { // NOPMD
                    konto = accounts.next();
                } else {
                    Logger.error(I18N.tr("Utils.accountNotFoundDeleted")); //$NON-NLS-1$
                }
            } catch (final RemoteException e) {
                Logger.error(I18N.tr("Utils.searchAccountFailed"), e); //$NON-NLS-1$
            }
        }
        return konto;
    }
}
